%define major		0
%define libname		%mklibname gpg-error %{major}
%define develname	%mklibname gpg-error -d

Summary:	Library containing common error values for GnuPG components
Name:		libgpg-error
Version:	1.47
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnupg.org/
Source0:	https://www.gnupg.org/ftp/gcrypt/libgpg-error/libgpg-error-%{version}.tar.xz

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package common
Summary:	Common files for libgpg-error
Group:		System/Libraries
Obsoletes: %{name}-common
Provides: %{name}-common = %{version}-%{release}

%description common
This package contains the common files that are used by the
libgpg-error library.

%package -n %{libname}
Summary:	Library containing common error values for GnuPG components
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{libname}
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package -n %{develname}
Summary:	Development related files of %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gpg-error-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
%{name} is a library that defines common error values for all
GnuPG components.  Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains headers and other necessary files to develop
or compile applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files common -f %{name}.lang

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_bindir}/*
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/gpg-error.pc
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/common-lisp/source/gpg-error
%{_datadir}/libgpg-error/errorref.txt
%{_infodir}/gpgrt.info.*
%{_mandir}/man1/gpgrt-config.1*


%changelog
* Fri Dec 08 2023 tex - 1.47-1pclos2023
- new version

